Bug 227456 - Yum doesn't parse file names with spaces
Yum doesn't parse file names with spaces
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2007-02-05 19:57 EST by Tobias Oed
Modified: 2014-01-21 17:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-06 08:44:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tobias Oed 2007-02-05 19:57:49 EST
Description of problem:
I know file names with spaces are a pain. But yum should be
able to handle them non the less. Putting 
baseurl=file:///root/path with spaces
in a .repo file makes yum unhappy. Escaping/quoting doesn't

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a repo in /root/path with spaces
2. Create a .repo file in /etc/yum.repos.d
3. run yum 

Actual results:
Options Error: Error parsing 'file:///root/path with spaces': URL must be http,
ftp, file or https not ""

Expected results:
Yum is able to use the local repo

Additional info:
I need this to use the fedora dvd as a local repo. I can't 
put baseurl=file:///media/FC6 i386 DVD directly, instead I need
to create a symlink without spaces to that location and put the
location of the symlink in the baseurl and everything works as

Comment 1 Seth Vidal 2007-02-06 01:53:03 EST
in your yum.repo file try this:


see if that does what you would expect. It worked for me.
Comment 2 Tobias Oed 2007-02-06 06:32:31 EST
Aha, That does work.
Funky way to escape but oh well.
Thanks Tobias

Comment 3 Seth Vidal 2007-02-06 08:44:51 EST
It's the same way that spaces are escaped in web urls.

Note You need to log in before you can comment on or make changes to this bug.